package sop_stage

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/sop_stage"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /sop_stage/create sop_stage CreateSopStage
//
// Create sop stage information | 创建SopStage
//
// Create sop stage information | 创建SopStage
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: SopStageInfo
//
// Responses:
//  200: BaseMsgResp

func CreateSopStageHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.SopStageInfo
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := sop_stage.NewCreateSopStageLogic(r.Context(), svcCtx)
		resp, err := l.CreateSopStage(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
